diff --git a/.gitignore b/.gitignore
index 11476a79b568c91161c15c63a59fcf083b67d0c8..bec50e45c45e85d4ef572190802e90f806015449 100644
--- a/.gitignore
+++ b/.gitignore
@@ -2,7 +2,6 @@ Makefile
 config.log
 config.status
 Doxyfile
-bistest
 config.h
 examples/test_osm1
 examples/test_osm2
diff --git a/bistest b/bistest
new file mode 100755
index 0000000000000000000000000000000000000000..0ba32d32b14fd04d1e693af0957c6b3b159f8afe
--- /dev/null
+++ b/bistest
@@ -0,0 +1,22 @@
+#! /bin/bash
+
+say() {
+    echo -e '\033[1;34m'${1}'\033[0m'
+}
+
+exec 2>bistest.out
+
+say 'Compiling readosm'
+make install CFLAGS="-g -O0" || exit 1
+cd ../test
+rm *.o
+say 'Compiling test program'
+make || exit 2
+say 'Running test program'
+export DYLD_INSERT_LIBRARIES=/usr/lib/libgmalloc.dylib
+./test $HOME/Documents/Kartor/OSM/sweden.osm.pbf || exit 3
+unset DYLD_INSERT_LIBRARIES
+
+say 'OK'
+
+exit 0